Subject: No woman can make a better wife than a Russian lady √ pick one here.

From: [email-masked]
Date: Sat, 10 Apr 2010 09:45:07 -0300

I'll see you I really liked - let's get acquainted! I am from Russia! 
http://moyer812.spaces.live.com